define({"0":{y:0,u:"../Content/Part_Overview.htm",l:-1,t:"Overview of Filter SDK",i:0.00128458344841487,a:"Overview of Filter SDK This section provides an introduction to the OpenText KeyView Filter SDK, and provides resources to help you use the  C  implementation of the API. Introducing Filter SDK Getting Started"},"1":{y:0,u:"../Content/filter_shared/filtersdk_intro/intro_filtersdk.htm",l:-1,t:"Introducing Filter SDK",i:0.00183053470382311,a:"Introducing Filter SDK This section describes the Filter SDK package. "},"2":{y:0,u:"../Content/filter_shared/filtersdk_intro/Overview.htm",l:-1,t:"Overview",i:0.00128458344841487,a:"OpenText KeyView Filter SDK enables you to incorporate text extraction functionality into your own applications. It extracts text and metadata from a wide variety of file formats on numerous platforms, and can automatically recognize over 1000 document types. It supports both file-based and ..."},"3":{y:0,u:"../Content/filter_shared/filtersdk_intro/Features.htm",l:-1,t:"Features",i:0.00128458344841487,a:"Document readers are threadsafe. The benefit of a threadsafe technology is that you can successfully extract text from hundreds of documents simultaneously. Documents are not queued for sequential filtering, but are actually filtered at the same time. Filter supports popular word processing, ..."},"4":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00128458344841487,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00128458344841487,a:"The C Filter SDK is supported on the following platforms. CentOS 7 x86, x64, and AArch64 macOS 10.13 or later on 64-bit Apple-Intel architecture macOS 11 or later on Apple M1. Microsoft Windows Server 2012 x64 Microsoft Windows Server 2016 x64 Microsoft Windows Server 2019 x64 Microsoft Windows ..."},"6":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00128458344841487,a:"Supported Compilers The following table lists the supported compilers for the C Filter SDK."},"7":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00183053470382311,a:"To run KeyView on Windows requires the Microsoft Visual C++ 2019 redistributables to be installed. The redistributables are provided in the vcredist folder of the KeyView SDK but you can  download the latest installers from Microsoft  to get the latest security, reliability, and performance ..."},"8":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00128458344841487,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"9":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.00128458344841487,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"10":{y:0,u:"../Content/filter_shared/filtersdk_intro/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00128458344841487,a:"The Filter SDK installation contains: All the libraries and executables necessary for extracting text from a wide variety of formats. The  include files that define the C API. These files can be found in the include directory. The Java API implemented in the package com.verity.api.filter contained ..."},"11":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0191886597948442,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"12":{y:0,u:"../Content/filter_shared/filtersdk_intro/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00128458344841487,a:"Directory Structure The following table describes the contents of the Filter SDK. The variable  OS is the operating system for which the SDK is installed. For example, the bin directory on a standard 32-bit Windows installation would be located at KeyviewFilterSDK\\WINDOWS\\bin."},"13":{y:0,u:"../Content/Chapter_GettingStarted.htm",l:-1,t:"Getting Started",i:0.00183053470382311,a:"Getting Started This section provides information about how to get started with the C implementation of the API.  "},"14":{y:0,u:"../Content/C/gettingstarted/Getting_Started_Tutorial.htm",l:-1,t:"Getting Started with the C API",i:0.00128458344841487,a:"To help you get started with using KeyView, there are several tutorials available here:  KeyView GitHub Tutorials In particular, the following tutorial has information to help you get started using the KeyView Filter C SDK to filter files: KeyView Github Basic Filter Tutorial This tutorial aims to ..."},"15":{y:0,u:"../Content/Part_UseSDK.htm",l:-1,t:"Use Filter SDK",i:0.00128458344841487,a:"Use Filter SDK This section explains how to perform some basic tasks by using the File Extraction and Filter APIs, and describes the sample programs. Use the File Extraction API Use the Filter API Sample Programs"},"16":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c.htm",l:-1,t:"Use the File Extraction API",i:0.00215355752314046,a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. "},"17":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Introduction.htm",l:-1,t:"Introduction",i:0.00128458344841487,a:"To  filter  a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file.  The following ..."},"18":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.00195185720502494,a:"To  filter  all files in a container file, you must open the container and extract its subfiles by using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  filtering . After a subfile is extracted, you can call  Filter  API functions ..."},"19":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00436504493785145,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the function  fpGetSubFileInfo() .  However, if the ..."},"20":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_SubFileInputStream.htm",l:-1,t:"Access a Subfile without Extracting the Entire File",i:0.00128458344841487,a:"Some operations do not require all of the data contained within a subfile. For example, format detection can often be performed using only the beginning and end of a file, without needing to extract the entire file to disk or memory. When filtering, you might process part of a file before deciding ..."},"21":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.0025198140274215,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"22":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Recreate_a_Files_Hierarchy.htm",l:-1,t:"Recreate a File’s Hierarchy",i:0.00385614909316839,a:"When you extract a container file, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. You can use the  hierarchy to create a directory structure in a file system, or to ..."},"23":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_Outlook_Files.htm",l:-1,t:"Extract Subfiles from Outlook Files",i:0.00128458344841487,a:"Extract  Subfiles from Outlook Files When you extract an Outlook file (MSG) to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. If you do not want to extract the header information, set the flag  KVExtractionFlag_ExcludeMailHeader  when you call  ..."},"24":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_OutlookExpress.htm",l:-1,t:"Extract Subfiles from Outlook Express Files",i:0.00128458344841487,a:"Extract Subfiles from Outlook  Express Files When you extract an Outlook Express (EML) file to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. If you do not want to extract the header information, set the flag  KVExtractionFlag_ExcludeMailHeader ..."},"25":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_MailboxFiles.htm",l:-1,t:"Extract Subfiles from Mailbox Files",i:0.00128458344841487,a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ..."},"26":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_OutlookPersonalFolder.htm",l:-1,t:"Extract Subfiles from Outlook Personal Folders Files",i:0.00128458344841487,a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the text and header information (To, From, Sent, and so on) from each Outlook ..."},"27":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_LotusDominoXML.htm",l:-1,t:"Extract Subfiles from Lotus Domino XML Language Files",i:0.00128458344841487,a:"Extract  Subfiles from Lotus Domino XML Language Files When you extract a Lotus Domino XML Language (.DXL) file, the message text and header information (To, From, Sent, and so on) is extracted to a text file. If you do not want to extract the header information, set the flag  ..."},"28":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_LotusNotes_DB.htm",l:-1,t:"Extract Subfiles from Lotus Notes Database Files",i:0.00128458344841487,a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ..."},"29":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_PDF_Files.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00237648595923135,a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ..."},"30":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00128458344841487,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"31":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Embedded_OLE_Objects.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00128458344841487,a:"The File Extraction API can extract embedded  OLE objects from the following types of documents: Lotus Notes (DXL) Microsoft Excel Microsoft Word Microsoft PowerPoint Microsoft Outlook Microsoft Visio Microsoft Project OASIS Open Document Rich Text Format (RTF) When an embedded OLE object is ..."},"32":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_ZIPFiles.htm",l:-1,t:"Extract Subfiles from ZIP Files",i:0.00128458344841487,a:"You can extract ZIP files that are not password-protected by using the general method (see  Extract Subfiles ). However, some ZIP files use password protection, in which case you must use a different method to enter the required credentials.  See  Password Protected Files  for more information."},"33":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00173439896046648,a:"Default File Names for  Extracted Subfiles When you do not specify a file name in the call to   fpExtractSubFile() , in some cases a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, KeyView applies ..."},"34":{y:0,u:"../Content/kv_metadata_api_c/_KV_Using_Metadata_API.htm",l:-1,t:"Use the Metadata API",i:0.0147543220033658,a:"Use the Metadata API This section describes document metadata and how it is used and extracted."},"35":{y:0,u:"../Content/kv_metadata_api_c/_KV_What_Is_Metadata.htm",l:-1,t:"What is Metadata?",i:0.00401784047937734,a:"Documents may contain information about the document itself: we call this metadata. For instance, a raster image file will contain metadata recording the image\u0027s width and height; a word processing document may contain metadata recording the document\u0027s author and title. Metadata can be represented ..."},"36":{y:0,u:"../Content/kv_metadata_api_c/_KV_Standardized_Metadata_Fields.htm",l:-1,t:"Standardized Metadata Fields",i:0.00321557301500846,a:"The following tables describe the standardized metadata fields that are supported by KeyView. Audio Metadata Date Metadata These dates are retrieved from values stored within the document, and are typically set by the creating application. For documents that exist on disk, this may differ from what ..."},"37":{y:0,u:"../Content/Chapter_UseFilterAPI.htm",l:-1,t:"Use the Filter API",i:0.00215355752314046,a:"Use the Filter API This section describes how to perform some basic filtering tasks by using the Filter API."},"38":{y:0,u:"../Content/C/filter_api/access_metadata.htm",l:-1,t:"Access Metadata",i:0.00128458344841487,a:"Access Metadata You can access a document\u0027s metadata  using the metadata API. For more information, see  Use the Metadata API ."},"39":{y:0,u:"../Content/C/filter_api/Convert_Character_Sets.htm",l:-1,t:"Convert Character Sets",i:0.0025198140274215,a:"Filter can convert the character set of a document to an arbitrary character set specified in the API, or to the character set of the operating system on which the output text is viewed. For this conversion to occur, a source character set must be identified. The source character set can either be ..."},"40":{y:0,u:"../Content/C/filter_api/Determine_the_CharacterSet.htm",l:-1,t:"Determine the Character Set of the Output Text",i:0.00128458344841487,a:"Determine the  Character Set of the Output Text To determine the output character set of a filtered document, Filter considers the following: Whether the document reader can determine the character set of the file format. If the document reader cannot determine the character set information for the ..."},"41":{y:0,u:"../Content/C/filter_api/Set_CharSet_Filtering.htm",l:-1,t:"Set the Character Set During Filtering",i:0.00128458344841487,a:"Set the Character  Set During Filtering You can convert the character set of a file at the time the file is filtered. To specify the source character set of a file, after calling  fpInit() , call  fpSetSrcCharSet() , and set the  eCharSet argument. To determine the final output character set, call ..."},"42":{y:0,u:"../Content/C/filter_api/Set_CharSet_Extraction.htm",l:-1,t:"Set the Character Set During Subfile Extraction",i:0.00128458344841487,a:"Set the Character Set During  Subfile Extraction You can convert the character set of a subfile at the time the subfile is extracted from the container and before it is filtered. This is most often used to set the character set of a mail message\u0027s body text. To specify the source character set of a ..."},"43":{y:0,u:"../Content/C/filter_api/Prevent_the_Default_Conv.htm",l:-1,t:"Customize Character Set Detection and Conversion",i:0.00253099680912462,a:"KeyView attempts to detect the character set of an input file by default. Some character sets (including ANSI, UTF-8, and UTF-16) can be detected by core KeyView functionality but others can only be detected if your license includes advanced character set detection. If your license includes advanced ..."},"44":{y:0,u:"../Content/C/filter_api/Extract_Deleted_Text_Mar.htm",l:-1,t:"Extract Deleted Text Marked by Tracked Changes",i:0.00271246266846447,a:"The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date.  If revision tracking was enabled when text was deleted from ..."},"45":{y:0,u:"../Content/C/filter_api/Filter_PDF_Files.htm",l:-1,t:"Filter PDF Files",i:0.00271246266846447,a:"Filter PDF Files Filter has special configuration options that allow greater control over the conversion of Adobe Acrobat PDF files."},"46":{y:0,u:"../Content/filter_shared/pdf2sr.htm",l:-1,t:"Use the pdf2sr Reader",i:0.00242342883437103,a:"The pdf2sr reader is an alternative that can be used instead of pdfsr for filtering PDF files. It uses a different parsing technology and may yield better results for some files. The pdf2sr reader has the following features: supports standard and custom metadata (non-XMP) supports basic text ..."},"47":{y:0,u:"../Content/C/filter_api/Filter_PDF_LogicalOrder.htm",l:-1,t:"Filter PDF Files to a Logical Reading Order",i:0.00235551593516327,a:"The PDF format is primarily designed for presentation and printing of brochures, magazines, forms, reports, and other materials with complex visual designs. Most PDF files do not contain the logical structure of the original document—the correct reading order, for example, and the presence and ..."},"48":{y:0,u:"../Content/C/filter_api/Rotated_Text.htm",l:-1,t:"Rotated Text",i:0.00128458344841487,a:"When a PDF that contains rotated text is filtered, the rotated text is extracted after the text at the end of the PDF page on which the rotated text appears. If the PDF is filtered with logical order enabled, and the amount of rotated text on a page surpasses a predefined threshold,  the page is ..."},"49":{y:0,u:"../Content/C/filter_api/Extract_Custom_Metadata_PDF.htm",l:-1,t:"Extract Custom Metadata from PDF Files",i:0.0025198140274215,a:"Extract Custom Metadata  from PDF Files You can extract custom metadata from PDF files either by specifying individual metadata tag names, or by extracting all custom metadata at once. Extract Custom Metadata by Tag To extract custom metadata by metadata tag, add the custom metadata names to the  ..."},"50":{y:0,u:"../Content/C/filter_api/Filter_Tagged_PDF_Content.htm",l:-1,t:"Filter Tagged PDF Content",i:0.0025198140274215,a:"A tagged PDF contains an additional layer of text for visually impaired readers. This text is used in text-to-speech features in various PDF viewing programs. You can enable filtering of tagged PDF text in the API. Filtering the extra layer of tagged content might result in duplicate text in the ..."},"51":{y:0,u:"../Content/C/filter_api/Skip_Embedded_Fonts.htm",l:-1,t:"Skip Embedded Fonts",i:0.00128458344841487,a:"Text in PDF files sometimes contains embedded fonts. If you experience difficulties filtering embedded fonts, there are options in the API, the formats.ini file, and the filter sample program that enable you to skip this type of text. If you skip embedded fonts, none of the content that contains ..."},"52":{y:0,u:"../Content/C/filter_api/Control_Hyphenation.htm",l:-1,t:"Control Hyphenation",i:0.00128458344841487,a:"There are two types of hyphens in a PDF document:  A soft hyphen is added to a word by a word processor to divide the word across two lines. This is a discretionary hyphen and is used to ensure proper text flow in justified text. A hard hyphen is intentionally added to a word regardless of the ..."},"53":{y:0,u:"../Content/C/filter_api/Filter_Portfolio_PDF.htm",l:-1,t:"Filter Portfolio PDF Files",i:0.00128458344841487,a:"Filter Portfolio PDF Files Portfolio PDF files contain subfiles and an ActionScript interface for navigating between them. You can use the extraction API to extract the subfiles. See  Extract Subfiles from PDF Files ."},"54":{y:0,u:"../Content/Shared/_KV_Table_Detection_PDF.htm",l:-1,t:"Table Detection for PDF Files",i:0.0025198140274215,a:"PDF files often contain data presented in a tabular form. However, there is no information about the table stored within the PDF itself – the text is simply placed in  an arrangement that looks like a table to the human eye. When this data is filtered, it can be very difficult to reconstruct the ..."},"55":{y:0,u:"../Content/C/filter_api/Filter_RMS_PDF_Files.htm",l:-1,t:"Filter RMS Protected PDF Files",i:0.00128458344841487,a:"RMS-protected PDF files have two parts. The first is an unencrypted \"outer\" PDF, which contains standard text stating that the document is protected. The second is an encrypted \"inner\" PDF, which is attached to the outer PDF and contains the actual content. To filter both parts separately, filter ..."},"56":{y:0,u:"../Content/C/filter_api/Filter_Spreadsheet_Files.htm",l:-1,t:"Filter Spreadsheet Files",i:0.00128458344841487,a:"Filter Spreadsheet Files Filter has special configuration options that enable greater control over the conversion of spreadsheet files."},"57":{y:0,u:"../Content/C/filter_api/Filter_Worksheet_Names.htm",l:-1,t:"Filter Worksheet Names",i:0.00128458344841487,a:"Filter  Worksheet Names Normally, Filter does not extract worksheet names from a spreadsheet because it is assumed that the text should not be exposed. To extract worksheet names, add the following lines to the  formats.ini file: [Options]\ngetsheetnames=1"},"58":{y:0,u:"../Content/C/filter_api/Filter_Hidden_Text_in_Mi.htm",l:-1,t:"Filter Hidden Text in Microsoft Excel Files",i:0.00284942960886533,a:"Filter  Hidden Text in Microsoft Excel Files Normally, Filter does not filter hidden text from a Microsoft Excel spreadsheet because it is assumed that the text should not be exposed. To extract text from hidden rows, columns, and sheets from Excel spreadsheets, add the following lines to the ..."},"59":{y:0,u:"../Content/C/filter_api/Specify_Date_and_Time_Fo.htm",l:-1,t:"Specify Date and Time Format on UNIX Systems",i:0.00128458344841487,a:"In Microsoft Excel you can choose to format dates and times according to the system locale.  On Windows, KeyView uses the system locale settings to determine how these dates and times should be formatted.  In other operating systems, KeyView uses the U.S. short date format (mm/dd/yyyy).  You can ..."},"60":{y:0,u:"../Content/C/filter_api/large_numbers_excel.htm",l:-1,t:"Filter Very Large Numbers in Spreadsheet Cells to Precision Numbers",i:0.00128458344841487,a:"By default, numbers are extracted in the format specified by the Excel file (for example, General, Currency and Date). Spreadsheets might contain cells that have very large numbers in them. Excel displays the numbers in a scientific notation that rounds or truncates the numbers.  To extract numbers ..."},"61":{y:0,u:"../Content/filter_shared/Extract_Excel_Formulas.htm",l:-1,t:"Extract Microsoft Excel Formulas",i:0.00284942960886533,a:"When you filter a Microsoft Excel spreadsheet, KeyView extracts the value of each cell. The value of a cell might be calculated from a formula, but the formula is not included in the output unless you configure KeyView to include it. You can extract the cell value, the formula, or both. For example, ..."},"62":{y:0,u:"../Content/Shared/_KV_Standardize_Cell_Formats.htm",l:-1,t:"Standardize Cell Formats",i:0.0025198140274215,a:"In Microsoft Excel you can format cell values. For example, the date \"15/09/2021\" could be formatted as \"15 September 2021\" or \"2021-09-15\". By default, KeyView extracts cell values with formatting, as they would appear in Excel. If you prefer, you can configure KeyView to standardize cell values. ..."},"63":{y:0,u:"../Content/filter_shared/Tab_Delimited_Output.htm",l:-1,t:"Tab Delimited Output for Spreadsheets and Embedded Tables",i:0.0025198140274215,a:"You can use KeyView to convert spreadsheets, embedded tables in Word Processing documents (for example, Microsoft Word documents), and tables detected by Optical Character Recognition (OCR), to tab-delimited form. In this format, KeyView inserts a tab character between each cell, and a line break ..."},"64":{y:0,u:"../Content/filter_shared/Presentation_LogicalOrder.htm",l:-1,t:"Filter Presentation Files to a Logical Reading Order",i:0.0025198140274215,a:"With some file formats, for example Microsoft PowerPoint presentations, the order of the text inside the file has no relation to the layout of the text on the page or screen. Recently modified text might appear at the end of a file, even though that text belongs at the beginning of the document. You ..."},"65":{y:0,u:"../Content/C/filter_api/Filter_XML_Files.htm",l:-1,t:"Filter XML Files",i:0.00271246266846447,a:"KeyView can detect many types of XML file, including: Generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, presentation, and spreadsheet) When you filter XML, you can tell KeyView which elements to treat as content and metadata, or to treat the ..."},"66":{y:0,u:"../Content/C/filter_api/Configure_Element_Extrac.htm",l:-1,t:"Configure Element Extraction for XML Documents",i:0.00573612695502403,a:"When filtering XML files, you can specify which elements and attributes to extract according to the file\u0027s format ID or root element. This is useful when you want to extract only relevant text elements, such as abstracts from reports, or a list of authors from an anthology.  A  root element is an ..."},"67":{y:0,u:"../Content/filter_shared/custom_headerfooter.htm",l:-1,t:"Configure Headers and Footers",i:0.00128458344841487,a:"You can configure custom header and footer tags for word processing and spreadsheet documents  by editing the formats.ini file. To configure headers and footers Open the formats.ini file. In the [Options] section, add the following items: ..."},"68":{y:0,u:"../Content/C/filter_api/Filter_Hidden_Data.htm",l:-1,t:"Filter Hidden Data",i:0.00249560365590856,a:"Filter Hidden Data Some documents contain hidden information, which is not filtered by default. Depending on the type of hidden data that you want to filter and the type of document that you are filtering, you can either use the API or set parameters in the formats.ini file."},"69":{y:0,u:"../Content/C/filter_api/Hidden_Data_Excel.htm",l:-1,t:"Hidden Data in Microsoft Excel Documents",i:0.00736389485739625,a:"There are several types of hidden data in Microsoft Excel documents, each of which has a corresponding flag in the  KV_CONFIG_Arg  structure, which you can toggle to determine whether the hidden data is shown. The following table lists each data type, its default behavior, and its corresponding ..."},"70":{y:0,u:"../Content/C/filter_api/Hidden_Data_HTML.htm",l:-1,t:"Hidden Data in HTML Documents",i:0.00128458344841487,a:"KeyView can filter comments from HTML documents. To enable comment filtering, you must set a flag in the formats.ini file. To enable filtering of comments from HTML files Open the formats.ini file in a text editor. Under [Options], set the following flag. GetHTMLHiddenInfo= 1"},"71":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Exclude Japanese Guide Text",i:0.0025198140274215,a:"This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In the C API, call the function fpSetConfig and set the flag KVFLT_NOPHONETICGUIDES. In  formats.ini, set the following parameter.  (This is ..."},"72":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.0025198140274215,a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. When you do not enable source code identification, files containing source code may be identified as ASCII text files, causing the application to treat them in the ..."},"73":{y:0,u:"../Content/filter_shared/OCR.htm",l:-1,t:"Optical Character Recognition",i:0.00823648605495686,a:"When processing raster image files, KeyView can perform Optical Character Recognition (OCR) to attempt to filter text that might be visible in the image. If text is detected to form part of a table, it will be filtered in the same way as tables in Word Processing documents. KeyView performs OCR only ..."},"74":{y:0,u:"../Content/kv_RMS/_KV_RMS_ConfigureProxyForRMS.htm",l:-1,t:"Configure the Proxy for RMS",i:0.00128458344841487,a:"When KeyView needs to access contents that are protected by the Microsoft Rights Management System (RMS), it must make HTTP requests. By default, KeyView uses the system proxy settings for these requests.  To use different proxy settings, you can configure them  in the [RMS] section of the ..."},"75":{y:0,u:"../Content/filter_shared/DocumentRestrictions.htm",l:-1,t:"Document Restrictions",i:0.00368569845660417,a:"Some applications, and corresponding file formats, allow users to restrict the ways in which a document can be used. For example, you might be able to read a document but additional credentials (such as a password) could be required to modify the document content, add comments, or print the ..."},"76":{y:0,u:"../Content/C/filter_api/Unexpected_ZIP_Detection.htm",l:-1,t:"Unexpected ZIP Detection",i:0.0025198140274215,a:"Concatenating a ZIP file onto another file, such as a JPEG, is a well-known method for attempting to hide files from inspection. Users can zip up their sensitive files, then concatenate them on to the other file by using something like the Windows copy command-line tool. The result is a file that ..."},"77":{y:0,u:"../Content/kv_security/_KV_SecurityBestPractises.htm",l:-1,t:"Security Best Practices",i:0.00128458344841487,a:"This section outlines some security best practices to consider when using KeyView. Run Filter Out-of-Process. By default, Filter processes documents in a separate process, which protects the stability of the calling application. OpenText strongly recommends that you use this default. See  The Filter ..."},"78":{y:0,u:"../Content/C/filter_api/The_Filter_Process_Model.htm",l:-1,t:"The Filter Process Model",i:0.0129131265537733,a:"By default, Filter runs independently from the calling application process. This is called out-of-process filtering. Out-of-process filtering protects the stability of the calling application in the rare case when a malformed document causes Filter to fail. You can configure Filter  to run in the ..."},"79":{y:0,u:"../Content/C/filter_api/Persist_the_Child_Proces.htm",l:-1,t:"Persist the Child Process",i:0.00128458344841487,a:"By default, in out-of-process filtering, the parent process maintains a persistent connection with the child server after each file is filtered. When the connection is preserved in this way, subsequent filtering requests are processed more quickly because the server is already prepared to receive ..."},"80":{y:0,u:"../Content/C/filter_api/Run_Filter_In_Process.htm",l:-1,t:"Run Filter In Process",i:0.00147723208945784,a:"By default, Filter runs out of process. However, you can enable in-process filtering through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, Filter is run out of process. If the type of process is specified in the formats.ini and in the ..."},"81":{y:0,u:"../Content/C/filter_api/Run_File_Extraction_Func.htm",l:-1,t:"Run File Extraction Functions Out of Process",i:0.00183053470382311,a:"Run File  Extraction Functions Out of  Process The out-of-process setting specified in the call to  fpInit()  or in the formats.ini file is automatically propagated to the File Extraction API in the call to  KVGetExtractInterface(). In KVGetExtractInterface(), you pass a context pointer that was ..."},"82":{y:0,u:"../Content/filter_shared/Out_of_Process_Logging.htm",l:-1,t:"Out-of-Process Logging",i:0.00855906213752984,a:"Logging is available for out-of-process filtering. The kvoop server can now create a log file that captures information on the files being processed, storing one entry per process. The generated log file is called  xxxx_kvoop.log, where  xxxx is a unique number identifying the process.  In the rare ..."},"83":{y:0,u:"../Content/C/filter_api/Run_File_Detection_In_or.htm",l:-1,t:"Run File Detection In or Out of Process",i:0.0026869828820984,a:"By default, detection runs in out-of-process mode. However, you can enable in-process detection through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API,  detection runs in out-of-process mode. If the type of process is specified in the ..."},"84":{y:0,u:"../Content/kv_security/_KV_ProtectTempDir.htm",l:-1,t:"Protect the Temporary Directory",i:0.0020528153320586,a:"Filter writes temporary files to the temporary directory. These temporary files frequently include the contents of files that Filter is processing, including decrypted parts of encrypted files. Sensitive information is therefore exposed in the temporary directory, so it is important that only users ..."},"85":{y:0,u:"../Content/kv_security/_KV_RunMinimalPrivileges.htm",l:-1,t:"Run Filter with Minimal Privileges",i:0.00144056952138865,a:"OpenText recommends that you run Filter with only those privileges that are necessary for it to function correctly, which follows best practice for any application. In particular, Filter needs access only to the following directories: the Filter bin directory. any input and output locations. the ..."},"86":{y:0,u:"../Content/C/filter_api/Run_KeyView_Reduced_Privileges.htm",l:-1,t:"Run KeyView with Reduced Privileges",i:0.0043725564095957,a:"KeyView, by default, runs as the same user and has the same privileges as the application that calls it. When you run KeyView in-process this cannot be changed. When you run KeyView out-of-process, you can choose to run KVOOP (the out-of-process server) as a different user with reduced privileges. ..."},"87":{y:0,u:"../Content/kv_security/_KV_DLLPreloading.htm",l:-1,t:"Mitigate Against DLL Pre-Loading",i:0.00144056952138865,a:"When an  application loads a shared library such as  kvfilter.dll or kvfilter.so , the Operating System or runtime linker might search several locations. This search can allow DLL pre-loading attacks if an attacker is able to place a malicious binary in one of the locations searched. It might also ..."},"88":{y:0,u:"../Content/Chapter_Samples.htm",l:-1,t:"Sample Programs",i:0.00164855095202036,a:"Sample Programs This section describes the sample programs provided with Filter SDK."},"89":{y:0,u:"../Content/C/samples/Introduction.htm",l:-1,t:"Introduction",i:0.00128458344841487,a:"The C sample programs demonstrate how to use the C implementation of the Filter API. The sample code is intended to provide a starting point for your own applications or to be used for reference purposes. The following C sample programs are provided: tstxtract filter The source code and makefile ( ..."},"90":{y:0,u:"../Content/Shared/_KV_xtract_samples_c.htm",l:-1,t:"tstxtract",i:0.00183053470382311,a:"The tstxtract sample program demonstrates the File Extraction API. It opens a file, extracts subfiles from the file, and repeats the extraction process until all subfiles are extracted. It also demonstrates how to extract the default set of metadata and pass integer or string names to extract ..."},"91":{y:0,u:"../Content/C/samples/filter.htm",l:-1,t:"filter",i:0.00271972165153822,a:"The filter sample program demonstrates the advanced functionality of the Filter API. It is composed of the following files: filter.c—command line interface filtersupport.c—contains core functionality, such as file filtering, stream filtering, metadata extraction, and format detection. ..."},"92":{y:0,u:"../Content/Chapter_AdvancedTopics.htm",l:-1,t:"Advanced Topics",i:0.00128458344841487,a:"Advanced Topics This section describes some advanced topics that apply to both the Filter API and the Extraction API."},"93":{y:0,u:"../Content/C/filter_api/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00237648595923135,a:"Architectural Overview The general architecture of the KeyView Filter technology is the same across all supported platforms and is illustrated in the following diagram:   Each component is described in the following table."},"94":{y:0,u:"../Content/C/filter_api/File_Caching.htm",l:-1,t:"File Caching",i:0.00128458344841487,a:"To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data into memory. The readers then read the data from the cache rather than the physical disk. You can configure the amount of memory used for file caching through the formats.ini file. ..."},"95":{y:0,u:"../Content/filter_shared/Use_Streaming_Mode.htm",l:-1,t:"Configure Pipe-Streaming",i:0.011284221640665,a:"This section describes advanced options for configuring the streaming method that Filter uses, to optimize performance. By default, when you run Filter out-of-process,  and pass file streams to the API (instead of file names),  Filter uses temporary files for much of the communication with ..."},"96":{y:0,u:"../Content/C/filter_api/Generate_an_Error_Log.htm",l:-1,t:"Generate an Error Log",i:0.0122608555650524,a:"You can monitor and debug filtering operations by enabling a detailed error log. This enables you to see errors that are generated at run time, and to track problem files in stream or file mode. Error logs are not generated when in-process filtering is enabled. The error log might include the ..."},"97":{y:0,u:"../Content/C/filter_api/Enable_Disable_Error_Logging.htm",l:-1,t:"Enable or Disable Error Logging",i:0.00619759524914523,a:"Enable or Disable Error  Logging You can enable or disable error logging by using either the API or environment variables. By default, a file called kvoop.log is created in the system temporary directory; however, you can change the path and file name of this file (see  Configure the Error Log ). To ..."},"98":{y:0,u:"../Content/filter_shared/Configure_Error_Log.htm",l:-1,t:"Configure the Error Log",i:0.00607553894552397,a:"Configure the Error Log To configure the error log, set the following configuration parameters in the [kvooplog] section of the formats.ini configuration file. For example: [kvooplog]\nKvoopLogName=filepath\nLogFileSize=1024\nOverWriteLog=1"},"99":{y:0,u:"../Content/C/filter_api/Report_the_Filename_in_S.htm",l:-1,t:"Report the File Name in Stream Mode",i:0.00618641246744211,a:"When you run Filter in file mode, the file name is always reported in the log file. To report the file name in stream mode, you must extract it through the API.  To add the input file name to the log, call the  fpSetConfig()  function with the following arguments: For example: ..."},"100":{y:0,u:"../Content/Part_C_API_Ref.htm",l:-1,t:"C API Reference",i:0.00128458344841487,a:"C API Reference This section provides detailed reference information for the C-language implementation of the File Extraction and Filter APIs. File Extraction API Functions File Extraction API Structures Filter API Functions Filter API Structures Enumerated Types"},"101":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_functions.htm",l:-1,t:"File Extraction API Functions",i:0.0031690206763742,a:"This section describes the functions in the File Extraction API. The File Extraction functions open a container file, and extract the container’s subfiles so that the subfiles are exposed and available for \n\t\t filtering .\n\t\tSubfiles can be files within a Zip archive, messages in a mail store, ..."},"102":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpCloseFile.htm",l:-1,t:"fpCloseFile()",i:0.00939850164525109,a:"This function frees the memory allocated by  fpOpenFile()  and closes the file. Syntax int (pascal *fpCloseFile) (void *pFile); Arguments Returns If the file is closed, the return value is KVERR_Success.  If the file is not closed, the return value is an error code. Example ..."},"103":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpCloseSubFile.htm",l:-1,t:"fpCloseSubFile()",i:0.00254475133557286,a:"fpCloseSubFile() Closes a stream opened by  fpOpenSubFile() . Syntax int (pascal *fpCloseSubFile) (\n        KVInputStream *stream); Arguments Returns If the subfile is closed, the return value is KVERR_Success If the subfile is not closed, the return value is an error code."},"104":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpExtractSubFile.htm",l:-1,t:"fpExtractSubFile()",i:0.0159525694938469,a:"This function extracts a subfile from a container file to a user-defined path or output stream. This call returns file format information when file is extracted to a path. Syntax int (pascal *fpExtractSubFile)  (\n\t            void                          *pFile, \n\t\t    ..."},"105":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpFreeStruct.htm",l:-1,t:"fpFreeStruct()",i:0.0068052661574306,a:"This function frees the memory allocated by fpGetMainFileInfo(), fpGetSubFileInfo(), fpGetSubFileMetadata(), and fpExtractSubFile(). Syntax int (pascal *fpFreeStruct) (\n    void      *pFile, \n    void      *obj);  Arguments Returns If the allocated memory is freed, the return value is KVERR_Success. ..."},"106":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetExtractInfo.htm",l:-1,t:"fpGetExtractInfo()",i:0.00128458344841487,a:"This function returns information about a stream opened by  fpOpenSubFile() . Syntax int (pascal *fpGetExtractInfo) (\n       KVInputStream *stream,\n       KVSubFileExtractInfo *extractInfo);\n Arguments Returns If an issue occurs when obtaining the extraction information, the return value is an error ..."},"107":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetExtractStatus.htm",l:-1,t:"fpGetExtractStatus()",i:0.0014059059496167,a:"This function returns the status of an input stream opened by  fpOpenSubFile() . Syntax int (pascal *fpGetExtractStatus) (\n       KVInputStream *stream);\n Arguments Returns If an error occurred when one of the input stream function pointers was last called, this function should return the associated ..."},"108":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetMainFileInfo.htm",l:-1,t:"fpGetMainFileInfo()",i:0.00283578411331249,a:"This function  determines whether a file is a container file—that is, whether it contains subfiles—and should be extracted further.  Syntax int (pascal *fpGetMainFileInfo) (\n    void               *pFile, \n    KVMainFileInfo     *fileInfo);  Arguments Returns If the file information is retrieved, ..."},"109":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetSubFileInfo.htm",l:-1,t:"fpGetSubFileInfo()",i:0.00530875284375544,a:"This function gets  information about a subfile in a container file. Syntax int (pascal *fpGetSubFileInfo)  (\n    void                    *pFile, \n    int                      index,\n    KVSubFileInfo           *subFileInfo); Arguments Returns If the file information is retrieved, the return value ..."},"110":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetSubFileMetadataList.htm",l:-1,t:"fpGetSubFileMetadataList()",i:0.00579823810330548,a:"Containers can store metadata about their subfiles that is independent of the metadata stored within those subfiles. This function allows you to retrieve the metadata stored within the container about a particular subfile. KVErrorCode pascal fpGetSubFileMetadataList(\n    void* const pFile,\n    ..."},"111":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetSubFileMetaData.htm",l:-1,t:"fpGetSubFileMetaData()",i:0.00241919858254773,a:"The function fpGetSubFileMetaData() is deprecated in KeyView 23.2.0 and later. OpenText recommends that you use the function  fpGetSubFileMetadataList()  instead. This function is still available for existing implementations, but it might be incompatible with new functionality and might be removed ..."},"112":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpOpenFile.htm",l:-1,t:"fpOpenFile()",i:0.0272426639824843,a:"This function opens a file to make the file accessible for subfile extraction. Syntax int (pascal *fpOpenFile) (\n    void                      *pContext,\n    KVOpenFileArg              openArg,\n    void                      **pFile); Arguments Returns If the file is opened, the return value is ..."},"113":{y:0,u:"../Content/kv_xtract_functions/_KV_fpOpenFileFromFilterSession.htm",l:-1,t:"fpOpenFileFromFilterSession()",i:0.00128458344841487,a:"This function opens a container file so that you can extract its subfiles. Syntax KVErrorCode (pascal *fpOpenFileFromFilterSession)(\n    KVFilterSession session,\n    KVOpenFileArg openArg,\n    void** pFile\n); Arguments Returns If the file is opened successfully, the return value is KVERR_Success.  ..."},"114":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpOpenSubFile.htm",l:-1,t:"fpOpenSubFile()",i:0.00535923106799883,a:"This function opens a subfile as a stream, which can be used directly or passed to other KeyView interfaces. Syntax int (pascal *fpOpenSubFile) (\n        void                  *pFile,\n        KVExtractSubFileArg    extractArg,\n        KVInputStream        **stream); Arguments Returns If the subfile ..."},"115":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct.htm",l:-1,t:"File Extraction API Structures",i:0.00150296395057817,a:"File Extraction API Structures This section provides information on the structures used by the File Extraction API. These structures define the input and output parameters required to extract subfiles from a container file, and are defined in kvxtract.h. "},"116":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVCredential.htm",l:-1,t:"KVCredential",i:0.00265425250108281,a:"This structure contains a count of the number of  credential elements, and a pointer to the first element of the array of individual elements. The structure is initialized by calling  fpOpenFile() , and is defined in kvxtract.h. typedef struct  ..."},"117":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVCredentialComponent.htm",l:-1,t:"KVCredentialComponent",i:0.0126185190578356,a:"This structure contains the value of a credential item. The structure is defined in  kvxtract.h. typedef struct  tag_KVCredentialComponent\n{\n    KVCredKeyType      keytype;\n    union\n    {\n        void           *pkey;\n        char           *skey;\n        unsigned ..."},"118":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVExtractInterface.htm",l:-1,t:"KVExtractInterface",i:0.00221615418110772,a:"The members of this structure are pointers to the file extraction functions described in  File Extraction API Functions . Calling the  fpGetExtractInterface()  function assigns the function pointers in the structure. The structure is defined in kvxtract.h.  typedef struct  ..."},"119":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVExtractSubFileArg.htm",l:-1,t:"KVExtractSubFileArg",i:0.0275241335107557,a:"This structure defines the input parameters  required to extract a subfile. See  fpExtractSubFile() . The structure is defined in kvxtract.h. typedef struct ..."},"120":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVGetSubFileMetaArg.htm",l:-1,t:"KVGetSubFileMetaArg",i:0.00204319585529489,a:"This structure defines the  metadata tags whose values are retrieved by  fpGetSubFileMetaData() . This structure is defined in kvxtract.h. typedef struct  ..."},"121":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVGetSubFileMetadataListArg.htm",l:-1,t:"KVGetSubFileMetadataListArg",i:0.00227029313470243,a:"The structure defines the input parameters required to retrieve metadata from a subfile. See  fpGetSubFileMetadataList() . This structure is defined in kvxtract.h. \ntypedef struct tag_KVGetSubfileMetadataListArg\n{\n    KVStructHeader;\n    int index; /*The sub file index*/\n    KVCharSet srcCharset; ..."},"122":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMainFileInfo.htm",l:-1,t:"KVMainFileInfo",i:0.00296844929882808,a:"This structure contains information about a main file that is open for extraction. It is initialized by calling  fpGetMainFileInfo() .  This structure is defined in kvxtract.h. typedef struct  ..."},"123":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMetadataElem.htm",l:-1,t:"KVMetadataElem",i:0.00228395151197887,a:"The KVMetadataElem structure is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This structure is still available for existing implementations, but it might be incompatible with new functionality and ..."},"124":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMetaName.htm",l:-1,t:"KVMetaName",i:0.00265798697182219,a:"The KVMetaName structure is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This structure is still available for existing implementations, but it might be incompatible with new functionality and might ..."},"125":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVOpenFileArg.htm",l:-1,t:"KVOpenFileArg",i:0.012890821222717,a:"This structure defines the input arguments necessary to open a file for extraction. This structure is defined in kvxtract.h. To open a file for extraction, initialize a KVOpenFileArg structure and pass it to the function  fpOpenFile() . To specify the input document you should set one the members ..."},});