define({"258":{y:0,u:"../Content/filter_shared/app_custom/Development_Tips.htm",l:-1,t:"Development Tips",i:0.00128458344841487,a:"Avoid unnecessary initialization. The context variable is allocated in fpAllocateContext(). This structure must be immediately memset() to zero. This sets all BOOL values to FALSE, all pointers to NULL, and all integers to 0. Only non-zero, non-NULL and BOOLs that must be TRUE need to be ..."},"259":{y:0,u:"../Content/filter_shared/app_custom/Functions.htm",l:-1,t:"Functions",i:0.00237648595923135,a:"Functions This section describes the functions used by custom readers to manage the source file and generate token streams required to convert a document."},"260":{y:0,u:"../Content/filter_shared/app_custom/xxxsrAutoDet.htm",l:-1,t:"xxxsrAutoDet()",i:0.00146656720021762,a:"This function analyzes the source document and determines whether the detected file format requires the custom reader. It is  called only when the [CustomFilters] section of the formats.ini file contains an entry identifying the complete file name of the custom reader. For more information on the ..."},"261":{y:0,u:"../Content/filter_shared/app_custom/xxxAllocateContext.htm",l:-1,t:"xxxAllocateContext()",i:0.00146656720021762,a:"This function allocates a global memory block for a data context. A handle to this memory is returned to the structured access layer. The structured access layer passes this handle back to all reader entry points. Syntax void * pascal _export ..."},"262":{y:0,u:"../Content/filter_shared/app_custom/xxxFreeContext.htm",l:-1,t:"xxxFreeContext()",i:0.00146656720021762,a:"This function terminates an instance of the custom reader. Syntax int pascal _export xxxFreeContext(void *pCFContext) Arguments Returns Upon success, KVERR_Success. Upon error, a non-zero error code. Discussion All memory that still remains allocated within the custom reader must be freed within ..."},"263":{y:0,u:"../Content/filter_shared/app_custom/xxxInitDoc.htm",l:-1,t:"xxxInitDoc()",i:0.00146656720021762,a:"This function initializes non-zero, non-null members of pContext. Syntax int pascal _export xxxInitDoc(\n    void             *pCFContext,\n    adDocDesc        *pAutoInfo,\n    long              lcbFileSize,\n    KPTPIOobj        *pIO  ) Arguments Returns Upon success, KVERR_Success. Upon error, a ..."},"264":{y:0,u:"../Content/filter_shared/app_custom/xxxFillBuffer.htm",l:-1,t:"xxxFillBuffer()",i:0.00146656720021762,a:"This function controls parsing of the source file and generation of tokens defined in kvtoken.h. Syntax int  pascal _export xxxFillBuffer(\n    void    *pCFContext,\n    BYTE    *pcBuf,\n    UINT    *pnBufOut,\n    int     *pnPercentDone,\n    UINT     cbBufOutMax) Arguments Returns Upon success, ..."},"265":{y:0,u:"../Content/filter_shared/app_custom/xxxGetSummaryInfo.htm",l:-1,t:"xxxGetSummaryInfo()",i:0.00128458344841487,a:"This function is required to extract document summary information. Syntax int  pascal _export xxxGetSummaryInfo(\n    void                 *pCFContext,\n    KVSummaryInfoEx      *pInfo,\n    BOOL                  bFreeInfo) Arguments Returns Upon success, KVERR_Success. Upon error, a non-zero error ..."},"266":{y:0,u:"../Content/filter_shared/app_custom/xxxOpenStream.htm",l:-1,t:"xxxOpenStream()",i:0.00128458344841487,a:"This function is required when initiating processing of peripheral elements such as document headers, footers, footnotes, and endnotes. Syntax int pascal _export xxxOpenStream(\n    void    *pCFContext,\n    int      type, \n    int      nOrdinal) Arguments Returns Upon success, KVERR_Success. Upon ..."},"267":{y:0,u:"../Content/filter_shared/app_custom/xxxCloseStream.htm",l:-1,t:"xxxCloseStream()",i:0.00128458344841487,a:"This function is required when terminating processing for document headers, footers, footnotes, and endnotes. Syntax int pascal _export xxxCloseStream(\n    void    *pCFContext, \n    int      type) Arguments Returns Upon success, KVERR_Success. Upon error, a non-zero error code. Discussion Prior to ..."},"268":{y:0,u:"../Content/filter_shared/app_custom/xxxCharSet.htm",l:-1,t:"xxxCharSet()",i:0.00146656720021762,a:"This function identifies the character encoding used within the source document.  Syntax KVCharSet pascal _export xxxCharSet(\n    void    *pCFContext, \n    BOOL    *bMSBLSB) Arguments Returns One of the enumerated values defined in the KVCharSet structure in kvcharset.h. Discussion If the custom ..."},"269":{y:0,u:"../Content/app_pwd_filter.htm",l:-1,t:"Password Protected Files",i:0.00192152657972448,a:"Password Protected Files This section lists supported password-protected container and non-container files and describes how to open them."},"270":{y:0,u:"../Content/Shared/_KV_pwd_protect_support.htm",l:-1,t:"Supported Password Protected File Types",i:0.00128458344841487,a:"The following table lists the password-protected file types that KeyView supports. Supported password-protected file types File Type Version Filter Export Extract View Credentials PST (Windows) n/a N N Y S P PST (non-Windows) 1 The native PST readers, pstxsr and pstnsr, do not require credentials to ..."},"271":{y:0,u:"../Content/Shared/_KV_xtract_pwd_c.htm",l:-1,t:"Open Password Protected Container Files",i:0.00128458344841487,a:"This section describes how to extract password-protected container files by using the C API. The following guidelines apply to specific file types. Lotus Notes NSF files. If you are running a Notes client with an active user connected to a Domino server, you must specify the user’s password as a ..."},"272":{y:0,u:"../Content/C/FilterPwdProtectedFiles_C.htm",l:-1,t:"Filter Password Protected Files",i:0.0025198140274215,a:"This section describes how to filter password-protected non-container files with the C API. To filter password-protected files Call the  fpInit()  function. Call the  fpSetConfig()  function with the following arguments: For example: (*fpSetConfig)(pKVFilter, KVFLT_SETSRCPASSWORD, 8, \"password\"); ..."},"273":{y:0,u:"../Content/filter_shared/Filter_SDK_Optional_Components.htm",l:-1,t:"Optional Components in the Filter SDK",i:0.00137557532431624,a:"Optional Components in the Filter SDK This section contains information about optional libraries and how they can be managed to reduce third-party library usage and the install size."},"274":{y:0,u:"../Content/filter_shared/Reducing_Third_Party_Usage.htm",l:-1,t:"Reducing Third-Party Library Usage",i:0.00128458344841487,a:"The following third-party vendor libraries are optional dependencies of KeyView.  This table shows you which .dll / .so files you will need to delete if you want to remove the third-party library, and what functionality you will lose as a result.  It also shows which lines you should remove from ..."},"275":{y:0,u:"../Content/filter_shared/Reducing_Install_Size.htm",l:-1,t:"Reducing Install Size",i:0.00128458344841487,a:"Reducing Install Size The following KeyView Filter libraries can be safely deleted to reduce the size of the bin folder. *The sizes are given as approximate examples only and are taken from the WINDOWS_X86_64 release."},"276":{y:0,u:"../Content/kv_RMS/_KV_RMS_Intro.htm",l:-1,t:"Microsoft Rights Management Service Protected Files",i:0.00137557532431624,a:"Microsoft Rights Management Service Protected Files This section contains information about KeyView support for Microsoft Rights Management Service (RMS)."},"277":{y:0,u:"../Content/kv_RMS/_KV_RMS.htm",l:-1,t:"Microsoft Azure Rights Management Service",i:0.00128458344841487,a:"The Microsoft Rights Management Service (RMS) allows you to classify and optionally encrypt documents. This service forms the rights management part of Microsoft Azure Information Protection (AIP).  For many of the files that Azure RMS can classify and encrypt, KeyView can identify whether they have ..."},"278":{y:0,u:"../Content/kv_RMS/_KV_RMS_support.htm",l:-1,t:"Supported Formats",i:0.00128458344841487,a:"KeyView support for Azure RMS files depends on the encryption method that Azure RMS uses for each file type, and on whether the file is classified or protected. In Azure RMS, classified files have additional labels to inform users of their sensitivity, while protected files are encrypted so that ..."},"279":{y:0,u:"../Content/Shared/_KV_OCR_Supported_Languages.htm",l:-1,t:"OCR Supported Languages",i:0.00439686039102081,a:"OCR Supported Languages KeyView OCR supports the following languages. In parentheses following each language name is the corresponding ISO 639-1 language code. Latin Alphabet Arabic Alphabet Chinese Alphabet Cyrillic Alphabet Other Alphabets"},"280":{y:0,u:"../Content/C/gettingstarted/Filtering_in_Stream_Mode.htm",l:-1,t:"Filtering in Stream Mode",i:0.00258530726861354,a:"To use the Filtering  stream-based I/O Load the kvfilter library and obtain the  KV_GetFilterInterfaceEx()  entry point. The filter sample program contains sample code for all platforms.  Initialize a filter session by calling  fpInit() . Pass the context pointer that was initialized using  fpInit() ..."},});