define({"0":{y:0,u:"../Content/Part_Overview.htm",l:-1,t:"Overview of Filter SDK",i:0.0037987961348436,a:"This section provides an overview of the OpenText KeyView Filter SDK and describes how to use the  .NET  implementation of the API. This section provides an introduction to the OpenText KeyView Filter SDK, and provides resources to help you use the  implementation of the API. Introducing Filter SDK ..."},"1":{y:0,u:"../Content/filter_shared/filtersdk_intro/intro_filtersdk.htm",l:-1,t:"Introducing Filter SDK",i:0.00541330811944214,a:"Introducing Filter SDK This section describes the Filter SDK package. "},"2":{y:0,u:"../Content/filter_shared/filtersdk_intro/Overview.htm",l:-1,t:"Overview",i:0.0037987961348436,a:"OpenText KeyView Filter SDK enables you to incorporate text extraction functionality into your own applications. It extracts text and metadata from a wide variety of file formats on numerous platforms, and can automatically recognize over 1000 document types. It supports both file-based and ..."},"3":{y:0,u:"../Content/filter_shared/filtersdk_intro/Features.htm",l:-1,t:"Features",i:0.0037987961348436,a:"Document readers are threadsafe. The benefit of a threadsafe technology is that you can successfully extract text from hundreds of documents simultaneously. Documents are not queued for sequential filtering, but are actually filtered at the same time. Filter supports popular word processing, ..."},"4":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.0037987961348436,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.0037987961348436,a:"Supported Platforms The .NET Filter SDK is supported on the following platforms. Microsoft Windows Server 2012 x64 Microsoft Windows Server 2016 x64 Microsoft Windows Server 2019 x64 Microsoft Windows Server 2022 x64 Microsoft Windows 10 x86 and x64 Microsoft Windows 11 x64"},"6":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.0037987961348436,a:"Supported Compilers The following table lists the supported compilers for the .NET Filter SDK."},"7":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00648964944250784,a:"To run KeyView on Windows requires the Microsoft Visual C++ 2019 redistributables to be installed. The redistributables are provided in the vcredist folder of the KeyView SDK but you can  download the latest installers from Microsoft  to get the latest security, reliability, and performance ..."},"8":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.0037987961348436,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"9":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.0037987961348436,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"10":{y:0,u:"../Content/filter_shared/filtersdk_intro/Package_Contents.htm",l:-1,t:"Package Contents",i:0.0037987961348436,a:"The Filter SDK installation contains: All the libraries and executables necessary for extracting text from a wide variety of formats. The  include files that define the C API. These files can be found in the include directory. The Java API implemented in the package com.verity.api.filter contained ..."},"11":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0513803086438521,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"12":{y:0,u:"../Content/filter_shared/filtersdk_intro/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.0037987961348436,a:"Directory Structure The following table describes the contents of the Filter SDK. The variable  OS is the operating system for which the SDK is installed. For example, the bin directory on a standard 32-bit Windows installation would be located at KeyviewFilterSDK\\WINDOWS\\bin."},"13":{y:0,u:"../Content/Chapter_GettingStarted.htm",l:-1,t:"Getting Started",i:0.00541330811944214,a:"Getting Started This section provides an overview of Filter SDK, and describes how to use the  .NET  implementation of the API.  "},"14":{y:0,u:"../Content/DotNET/gettingstarted/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00702782010404068,a:"Architectural Overview The general architecture of the KeyView Filter technology is the same across all supported platforms and is illustrated in the following diagram: Each component is described in the following table. "},"15":{y:0,u:"../Content/DotNET/gettingstarted/File_Caching.htm",l:-1,t:"File Caching",i:0.0037987961348436,a:"To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data into memory. The readers then read the data from the cache rather than the physical disk. You can configure the amount of memory used for file caching through the formats.ini file. ..."},"16":{y:0,u:"../Content/DotNET/gettingstarted/Filtering.htm",l:-1,t:"Filtering",i:0.0037987961348436,a:"Filter SDK enables you to filter many different types of documents. Filtering is the process of extracting the text from a document without the application-specific markup. However, the filtering process can also include the following: Subfile extraction—exposes all subfiles for filtering. See  Use ..."},"17":{y:0,u:"../Content/DotNET/gettingstarted/Sub_File_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.0037987961348436,a:"To filter a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. Archive files (such as ZIP), mail messages with attachments (such as  Microsoft Outlook Express), mail stores ..."},"18":{y:0,u:"../Content/DotNET/gettingstarted/Use_the_NET_Implementation.htm",l:-1,t:"Use the .NET Implementation of the API",i:0.0037987961348436,a:"The .NET version of the Filter API provides an interface to the core functionality of the C API. It contains one primary class (Filter) that wraps the filter functionality of the C API. It is implemented in the namespace Autonomy.API.Filter contained in the file  FilterDotNet.dll. The library is in ..."},"19":{y:0,u:"../Content/DotNET/gettingstarted/Input_Output_Operations.htm",l:-1,t:"Input/Output Operations",i:0.0037987961348436,a:"In the Filter .NET  API , input and output can be either a physical file accessed through a file path, or a .NET  stream. Depending on the method signature you use, you can create the following filtering processes: filter an input file to output file filter an input file to an output stream filter ..."},"20":{y:0,u:"../Content/DotNET/gettingstarted/Filter_in_File_or_Stream.htm",l:-1,t:"Filter in File or Stream Mode",i:0.0037987961348436,a:"To filter a file or stream Instantiate a Filter object, providing your license key. To instantiate the Filter object with the default output character set and filtering options: Filter objFilter = new Filter(\"YOUR_KEYVIEW_LICENSE\"); To instantiate the Filter object with your chosen output character ..."},"21":{y:0,u:"../Content/DotNET/gettingstarted/Multi_Threaded_Filtering.htm",l:-1,t:"Multithreaded Filtering",i:0.0037987961348436,a:"To ensure multithreaded filter processes are thread-safe, you must create a unique Filter context for every thread by instantiating a Filter object. In addition, threads must not share context objects, and the same context object must be used for all API calls in the same thread. Creating a context ..."},"22":{y:0,u:"../Content/DotNET/gettingstarted/The_Filter_Process_Model.htm",l:-1,t:"The Filter Process Model",i:0.00702782010404068,a:"By default, Filter runs independently from the calling application process. This is called out-of-process filtering. Out-of-process filtering protects the stability of the calling application in the rare case when a malformed document causes Filter to fail. You can configure Filter  to run in the ..."},"23":{y:0,u:"../Content/DotNET/gettingstarted/Persist_the_Child_Proces.htm",l:-1,t:"Persist the Child Process",i:0.0037987961348436,a:"By default, in out-of-process filtering, the parent process maintains a persistent connection with the child server after each file is filtered. When the connection is preserved in this way, subsequent filtering requests are processed more quickly because the server is already prepared to receive ..."},"24":{y:0,u:"../Content/DotNET/gettingstarted/Run_Filter_In_Process.htm",l:-1,t:"Run Filter In Process",i:0.00596678867143077,a:"By default, Filter runs out of process. However, you can enable in-process filtering through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, then Filter is run out of process. If the type of process is specified in the formats.ini and in ..."},"25":{y:0,u:"../Content/DotNET/gettingstarted/Run_File_Extraction_Func.htm",l:-1,t:"Run File Extraction Functions Out of Process",i:0.00702782010404068,a:"Run File  Extraction Functions Out of  Process The out-of-process setting specified when you create the Filter object or in the formats.ini is automatically propagated to the File Extraction API. When you extract subfiles from container files and pass the files for filtering out of process, Filter ..."},"26":{y:0,u:"../Content/filter_shared/Out_of_Process_Logging.htm",l:-1,t:"Out-of-Process Logging",i:0.025316389771678,a:"Logging is available for out-of-process filtering. The kvoop server can now create a log file that captures information on the files being processed, storing one entry per process. The generated log file is called  xxxx_kvoop.log, where  xxxx is a unique number identifying the process.  In the rare ..."},"27":{y:0,u:"../Content/DotNET/gettingstarted/Run_File_Detection_In_or.htm",l:-1,t:"Run Format Detection In or Out of Process",i:0.0037987961348436,a:"By default, detection runs in out-of-process mode. However, you can enable in-process detection through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, detection runs in out-of-process mode. If the type of process is specified in the ..."},"28":{y:0,u:"../Content/filter_shared/Use_Streaming_Mode.htm",l:-1,t:"Configure Pipe-Streaming",i:0.0037987961348436,a:"This section describes advanced options for configuring the streaming method that Filter uses, to optimize performance. By default, when you run Filter out-of-process,  and pass file streams to the API (instead of file names),  Filter uses temporary files for much of the communication with ..."},"29":{y:0,u:"../Content/Part_UseSDK.htm",l:-1,t:"Use Filter SDK",i:0.0037987961348436,a:"Use Filter SDK This section explains how to perform some basic tasks by using the File Extraction and Filter APIs, and describes the sample programs. Use the File Extraction API Use the Filter API Sample Programs"},"30":{y:0,u:"../Content/DotNET/xtract_api/xtract_api_dotnet.htm",l:-1,t:"Use the File Extraction API",i:0.00717582926693677,a:"Use the File Extraction API This section describes how to extract subfiles from a container file using the File Extraction API. "},"31":{y:0,u:"../Content/DotNET/xtract_api/Introduction.htm",l:-1,t:"Introduction",i:0.0037987961348436,a:"To filter a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file. The following are ..."},"32":{y:0,u:"../Content/DotNET/xtract_api/Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.0360751865900953,a:"To filter all files in a container file, you must open the container and extract its subfiles to either a file or a stream by using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for filtering. After a subfile is extracted, you can ..."},"33":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.0037987961348436,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.ExtractGetSubFileInfo method. However, if ..."},"34":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.0037987961348436,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"35":{y:0,u:"../Content/DotNET/xtract_api/Recreate_File_Hierar.htm",l:-1,t:"Recreate a File\u0027s Hierarchy",i:0.0037987961348436,a:"When a container file is extracted, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. The hierarchy can be used to create a directory structure in a file system, or to ..."},"36":{y:0,u:"../Content/DotNET/xtract_api/Create_a_Root_Node.htm",l:-1,t:"Create a Root Node",i:0.00499328781876072,a:"Some container files do not contain a subfile or folder which acts as a root directory on which the hierarchy can be based. For example, subfiles in a Zip archive can be extracted, but none of the subfiles represent the root of the hierarchy. In this case, an artificial root node must be created at ..."},"37":{y:0,u:"../Content/DotNET/xtract_api/Example.htm",l:-1,t:"Example",i:0.0037987961348436,a:"For example, you might extract a PST file that contains seven subfiles with a root node enabled. The call to ExtractGetMainFileInfo() returns the number of subfiles as 8 (seven subfiles and one root node). The following diagram shows the structure and the available hierarchy information after the ..."},"38":{y:0,u:"../Content/DotNET/xtract_api/Extract_Mail_Metadata.htm",l:-1,t:"Extract Mail Metadata",i:0.00657418690335019,a:"Extract Mail Metadata You can extract metadata such as subject, sender, and recipient from MSG, EML, MBX, PST, and NSF files by calling the ExtractGetSubFileMetadata method. You can extract a predefined set of metadata fields and/or individual fields that are unique to a file format. "},"39":{y:0,u:"../Content/DotNET/xtract_api/Default_Metadata_Set.htm",l:-1,t:"Default Metadata Set",i:0.00702782010404068,a:"KeyView internally defines a set of common mail metadata fields that can be extracted as a group from mail formats. This default metadata set is listed in the following table. When you retrieve all metadata for a file—that is, pass NULL for the array of metadata—the complete set of default metadata, ..."},"40":{y:0,u:"../Content/DotNET/xtract_api/Outlook_MSG_metadata.htm",l:-1,t:"Microsoft Outlook (MSG) Metadata",i:0.0037987961348436,a:"In addition to the default metadata set, for MSG files you can extract the metadata fields listed in the following table.  You must pass the field names using the metaDataName argument, when you call the ExtractGetSubFileMetadatamethod. You can also add specific string named properties to the ..."},"41":{y:0,u:"../Content/DotNET/xtract_api/Microsoft_Outlook_Expres.htm",l:-1,t:"Microsoft Outlook Express (EML) and Mailbox (MBX) Metadata",i:0.0037987961348436,a:"In addition to the default metadata set, you can extract any metadata field that exists in the header of an EML or MBX file by passing the field\u0027s name. If the name is a valid field in the file, the contents of the field are returned. For example, to retrieve the name of the last mail server that ..."},"42":{y:0,u:"../Content/DotNET/xtract_api/Lotus_Notes_NSF_metadata.htm",l:-1,t:"Lotus Notes Database (NSF) Metadata",i:0.0037987961348436,a:"In addition to the default metadata set, you can extract any Lotus field name that exists in an NSF file by passing the field\u0027s name. (You can extract fields from mail NSF files and non-mail NSF files.) If the name is a valid field in the file, the field is returned. For example, to retrieve the ..."},"43":{y:0,u:"../Content/DotNET/xtract_api/Microsoft_Personal_Folde.htm",l:-1,t:"Microsoft Personal Folders File (PST) Metadata",i:0.00977253940175643,a:"In addition to the default metadata set, you can extract Messaging Application Programming Interface (MAPI) properties from a PST file. These properties describe elements (subject, sender, recipient, and so on) of Outlook items within the PST file. Since the properties are stored in the PST file ..."},"44":{y:0,u:"../Content/DotNET/xtract_api/Exclude_Metadata_from_th.htm",l:-1,t:"Exclude Metadata from the Extracted Text File",i:0.0222147489878119,a:"When a mail message is extracted, the message text and header information (To, From, Sent, and so on) is extracted to a text file. You can prevent the header information from appearing in the text file. To exclude the header information, call the ExcludeMailHeader property of the ..."},"45":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_Outlook.htm",l:-1,t:"Extract Subfiles from Outlook Files",i:0.0037987961348436,a:"Extract  Subfiles from Outlook Files When an Outlook file (MSG) is extracted to disk, its message text and header information (To, From, Sent, and so on) are extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the Extracted Text ..."},"46":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_OutlookExpress.htm",l:-1,t:"Extract Subfiles from Outlook Express Files",i:0.0037987961348436,a:"Extract Subfiles from Outlook  Express Files When an Outlook Express (EML) file is extracted to disk, its message text and header information (To, From, Sent, and so on) are extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from ..."},"47":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_Mailbox.htm",l:-1,t:"Extract Subfiles from Mailbox Files",i:0.0037987961348436,a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ..."},"48":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_PST.htm",l:-1,t:"Extract Subfiles from Outlook Personal Folders Files",i:0.0037987961348436,a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the body text and header information (To, From, Sent, and so on) from each ..."},"49":{y:0,u:"../Content/DotNET/xtract_api/MAPI_Attachment_Methods.htm",l:-1,t:"MAPI Attachment Methods",i:0.0037987961348436,a:"The way in which you can access the contents of a PST message attachment is determined by the MAPI attachment method applied to the attachment. For example, if the attachment is an embedded OLE object, it uses the ATTACH_OLE attachment method. KeyView can access message attachments that use the ..."},"50":{y:0,u:"../Content/DotNET/xtract_api/Open_Secured_PST_Files.htm",l:-1,t:"Open Secured PST Files",i:0.0037987961348436,a:"Open Secured  PST Files KeyView enables you to specify credentials (user name and password), which are used to open a secured PST file for extraction. See  Password Protected Files  for more information."},"51":{y:0,u:"../Content/DotNET/xtract_api/Detect_PST_Files_While.htm",l:-1,t:"Detect PST Files While the Outlook Client is Running",i:0.0037987961348436,a:"If you are running an Outlook client while running the File Extraction API, the KeyView format detection module (kwad) might not be able to open the PST file to determine the file\u0027s format because Outlook has the file locked. In this case, you can do one of the following:  Close Outlook when using ..."},"52":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_LotusDomino.htm",l:-1,t:"Extract Subfiles from Lotus Domino XML Language Files",i:0.0037987961348436,a:"Extract  Subfiles from Lotus Domino XML Language Files When a Lotus Domino XML Language (.DXL) file is extracted, its message text and header information (To, From, Sent, and so on) are extracted to a text file. To prevent header information from being extracted, see  Exclude Metadata from the ..."},"53":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_NSF.htm",l:-1,t:"Extract Subfiles from Lotus Notes Database Files",i:0.0037987961348436,a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ..."},"54":{y:0,u:"../Content/DotNET/xtract_api/Installation_and_Configu.htm",l:-1,t:"Installation and Configuration",i:0.0037987961348436,a:"Before KeyView can filter NSF files, you must set up the Lotus Notes client or Lotus Domino server. Full configuration is not required. The following steps outline the minimal setup for NSF filtering. Windows Install the Lotus Notes client or Lotus Domino server. You do not need to configure the ..."},"55":{y:0,u:"../Content/DotNET/xtract_api/Open_Secured_NSF_Files.htm",l:-1,t:"Open Secured NSF Files",i:0.0037987961348436,a:"Open  Secured NSF Files KeyView enables you to specify credentials (user ID file and password), which are used to open a secured NSF file for extraction. See  Password Protected Files  for more information."},"56":{y:0,u:"../Content/DotNET/xtract_api/Format_Note_Sub_Files.htm",l:-1,t:"Format Note Subfiles",i:0.0037987961348436,a:"Format Note Subfiles The KeyView NSF reader uses XML templates to format note sub-files. You can customize the templates as required to approximate the look and feel of the original notes as closely as possible. For more information, see  Extract and Format Lotus Notes Subfiles ."},"57":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_PDF.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00702782010404068,a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ..."},"58":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.0037987961348436,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"59":{y:0,u:"../Content/DotNET/xtract_api/Extract_Embedded_OLE.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.0037987961348436,a:"The File Extraction API can extract embedded  OLE objects from the following types of documents: Microsoft Excel Microsoft Word  Microsoft PowerPoint Microsoft Outlook Microsoft Visio Rich Text Format (RTF) When an embedded OLE object is extracted from its parent file, the location where the ..."},"60":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_ZIP.htm",l:-1,t:"Extract Subfiles from ZIP Files",i:0.0037987961348436,a:"Extract Subfiles  from ZIP Files ZIP files that are not password-protected can be extracted using the general method (see  Extract Subfiles ). However, some ZIP files use password protection, in which case you must use a different method to enter the required credentials. See  Password Protected ..."},"61":{y:0,u:"../Content/DotNET/xtract_api/Default_Filenames_for_Ex.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.0037987961348436,a:"Default File Names for  Extracted Subfiles When a file name is not specified in the call to ExtractSubFile, in some cases, a default file name is applied to the extracted subfile."},"62":{y:0,u:"../Content/DotNET/xtract_api/Default_Filename_for_Mai.htm",l:-1,t:"Default File Name for Mail Formats",i:0.0037987961348436,a:"To avoid naming conflicts and problems with long file names, KeyView applies its own names to the extracted mail folders and mail items when a name is not supplied in the call to ExtractSubFile. A non-mail attachment retains its original file name and extension. When the contents of a mail store or ..."},"63":{y:0,u:"../Content/DotNET/xtract_api/Default_Filename_OLE.htm",l:-1,t:"Default File Name for Embedded OLE Objects",i:0.0037987961348436,a:"KeyView can apply a default name to an extracted  embedded OLE object when a name is not supplied in the call to ExtractSubFile. When an embedded OLE object is extracted, the extracted file name might include the following: The first valid eight characters of the main file. The following special ..."},"64":{y:0,u:"../Content/Chapter_UseFilterAPI.htm",l:-1,t:"Use the Filter API",i:0.0063685732746375,a:"Use the Filter API This section describes how to perform some basic filtering tasks by using the Filter API."},"65":{y:0,u:"../Content/DotNET/filter_api/Generate_an_Error_Log.htm",l:-1,t:"Generate an Error Log",i:0.00977253940175643,a:"You can monitor and debug filtering operations by enabling a detailed error log. This allows you to see errors that are generated at run time and to track problem files in stream or file mode. Error logs are not generated when in-process filtering is enabled. The error log might include the ..."},"66":{y:0,u:"../Content/DotNET/filter_api/Enable_or_Disable_Error_.htm",l:-1,t:"Enable or Disable Error Logging",i:0.00754123209489967,a:"Enable or Disable Error  Logging You can enable or disable error logging using either the API or environment variables. By default, a file called kvoop.log is created in the system temporary directory; however, you can change the path and file name of this file (see  Configure the Error Log ). To ..."},"67":{y:0,u:"../Content/filter_shared/Configure_Error_Log.htm",l:-1,t:"Configure the Error Log",i:0.0129778941853853,a:"Configure the Error Log To configure the error log, set the following configuration parameters in the [kvooplog] section of the formats.ini configuration file. For example: [kvooplog]\nKvoopLogName=filepath\nLogFileSize=1024\nOverWriteLog=1"},"68":{y:0,u:"../Content/DotNET/filter_api/Report_the_Filename_in_S.htm",l:-1,t:"Report the File Name in Stream Mode",i:0.00656773124222962,a:"When you run Filter in file mode the file name is always reported in the log file. To report the file name in stream mode, you must provide the file name through the API. To do this, set the OOPSrcFile property of the  Filterclass. For example: filter.OOPSrcFile = input_filename;"},"69":{y:0,u:"../Content/DotNET/filter_api/Extract_Metadata.htm",l:-1,t:"Extract Metadata",i:0.00557955297981292,a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ..."},"70":{y:0,u:"../Content/DotNET/filter_api/Extract_Metadata_for_Fil.htm",l:-1,t:"Extract Metadata for File Filtering",i:0.0037987961348436,a:"Extract Metadata for  File Filtering To extract metadata for file filtering Optionally, set the input source using the SetInputSource(String inFile) method of the Filter object.  If the input source was set in step 1, call the GetSummaryInfo() method of the Filter object to retrieve an object of the ..."},"71":{y:0,u:"../Content/DotNET/filter_api/Extract_Metadata_for_Str.htm",l:-1,t:"Extract Metadata for Stream Filtering",i:0.0037987961348436,a:"Extract Metadata for  Stream Filtering To extract metadata for stream filtering Optionally, set the input source using the SetInputSource(System.IO.Stream input) method of the Filter object. If the input source was set in step 1, call the GetSummaryInfo() method of the Filter object to retrieve an ..."},"72":{y:0,u:"../Content/DotNET/filter_api/Example.htm",l:-1,t:"Example",i:0.0037987961348436,a:"Below is an example of a call to GetSummaryInfo(): If the get summary flag -i is set: List\u003cSummaryInfoElement\u003e sinfo sinfo = objFilter.GetSummaryInfo();\nif(sinfo != null)\n{\n   FileStream fs = new FileStream(m_summaryFile, FileMode.OpenOrCreate, FileAccess.Write);\n   StreamWriter sw = new ..."},"73":{y:0,u:"../Content/DotNET/filter_api/Convert_Character_Sets.htm",l:-1,t:"Convert Character Sets",i:0.00460605212714287,a:"Filter can convert the character set of a source document to an arbitrary character set specified in the API, or to the character set of the operating system on which the output text is viewed. For this conversion to occur, a source character set must be identified. The source character set can ..."},"74":{y:0,u:"../Content/DotNET/filter_api/Determine_the_Character_.htm",l:-1,t:"Determine the Character Set of the Output Text",i:0.0037987961348436,a:"Determine the  Character Set of the Output Text To determine the output character set of a filtered document, Filter considers the following: Whether the document reader can determine the character set of the file format. If the document reader cannot determine the character set information for the ..."},"75":{y:0,u:"../Content/DotNET/filter_api/Set_CharSet_Filtering.htm",l:-1,t:"Set the Character Set During Filtering",i:0.0037987961348436,a:"Set the Character  Set During Filtering You can convert the character set of a file at the time the file is filtered. To specify the source character set, use the SourceCharSet property. For example: objFilter.SourceCharSet=sourceCharSet; You specify the target character set when you instantiate the ..."},"76":{y:0,u:"../Content/DotNET/filter_api/Set_CharSet_Extraction.htm",l:-1,t:"Set the Character Set During Subfile Extraction",i:0.0037987961348436,a:"Set the Character Set During  Subfile Extraction You can convert the character set of a subfile at the time the subfile is extracted from the container. This is most often used to set the character set of a mail message\u0027s body text. To specify the source and target character set of a subfile Use the ..."},"77":{y:0,u:"../Content/DotNET/filter_api/Prevent_the_Default_Conv.htm",l:-1,t:"Prevent the Default Conversion of a Character Set",i:0.0037987961348436,a:"Prevent the Default Conversion of a  Character Set You can prevent the default conversion of text to the operating system code page, and specify that Filter retain the original character encoding of the document when it is available. Any document identified as containing more than one character ..."},"78":{y:0,u:"../Content/DotNET/filter_api/Extract_Deleted_Text_Mar.htm",l:-1,t:"Extract Deleted Text Marked by Tracked Changes",i:0.00477229698751365,a:"The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date. If revision tracking was enabled when text was deleted from ..."},"79":{y:0,u:"../Content/DotNET/filter_api/Filter_PDF_Files.htm",l:-1,t:"Filter PDF Files",i:0.00477229698751365,a:"Filter PDF Files Filter has special configuration options that allow greater control over the conversion of Adobe Acrobat PDF files."},"80":{y:0,u:"../Content/filter_shared/pdf2sr.htm",l:-1,t:"Use the pdf2sr Reader",i:0.0037987961348436,a:"The pdf2sr reader is an alternative that can be used instead of pdfsr for filtering PDF files. It uses a different parsing technology and may yield better results for some files. The pdf2sr reader has the following features: supports standard and custom metadata (non-XMP) supports basic text ..."},"81":{y:0,u:"../Content/DotNET/filter_api/Filter_PDF_LogicalOrder.htm",l:-1,t:"Filter PDF Files to a Logical Reading Order",i:0.0037987961348436,a:"The PDF format is primarily designed for presentation and printing of brochures, magazines, forms, reports, and other materials with complex visual designs. Most PDF files do not contain the logical structure of the original document—the correct reading order, for example, and the presence and ..."},"82":{y:0,u:"../Content/DotNET/filter_api/Rotated_Text.htm",l:-1,t:"Rotated Text",i:0.0037987961348436,a:"When a PDF that contains rotated text is filtered, the rotated text is extracted after the text at the end of the PDF page on which the rotated text appears. If the PDF is filtered with logical order enabled, and the amount of rotated text on a page surpasses a predefined threshold, the page is ..."},"83":{y:0,u:"../Content/DotNET/filter_api/Extract_Custom_Metadata_PDF.htm",l:-1,t:"Extract Custom Metadata from PDF Files",i:0.0037987961348436,a:"Extract Custom Metadata  from PDF Files To extract custom metadata from your PDF files, add the custom metadata names to the  pdfsr.ini file provided, and copy the modified file to the bin directory. You can then extract metadata as you normally would.  The pdfsr.ini is in the directory ..."},"84":{y:0,u:"../Content/DotNET/filter_api/Skip_Embedded_Fonts.htm",l:-1,t:"Skip Embedded Fonts",i:0.0037987961348436,a:"Text in PDF files sometimes contain embedded fonts. If you experience difficulties filtering embedded fonts, there are options in the API, the formats.ini file, and the FilterTestDotNet sample program that you can set to skip this type of text. If you choose to skip embedded fonts, none of the ..."},"85":{y:0,u:"../Content/DotNET/filter_api/Control_Hyphenation.htm",l:-1,t:"Control Hyphenation",i:0.0037987961348436,a:"There are two types of hyphens in a PDF document:  A soft hyphen is added to a word by a word processor to divide the word across two lines. This is a discretionary hyphen and is used to ensure proper text flow in justified text. A hard hyphen is intentionally added to a word regardless of the ..."},"86":{y:0,u:"../Content/DotNET/filter_api/Filter_Portfolio_PDF.htm",l:-1,t:"Filter Portfolio PDF Files",i:0.0037987961348436,a:"Filter Portfolio PDF Files Portfolio PDF files contain subfiles and an ActionScript interface for navigating between them. You can use the extraction API to extract the subfiles. See  Extract Subfiles from PDF Files ."},"87":{y:0,u:"../Content/Shared/_KV_Table_Detection_PDF.htm",l:-1,t:"Table Detection for PDF Files",i:0.0037987961348436,a:"PDF files often contain data presented in a tabular form. However, there is no information about the table stored within the PDF itself – the text is simply placed in  an arrangement that looks like a table to the human eye. When this data is filtered, it can be very difficult to reconstruct the ..."},"88":{y:0,u:"../Content/DotNET/filter_api/Filter_Spreadsheet_Files.htm",l:-1,t:"Filter Spreadsheet Files",i:0.0037987961348436,a:"Filter Spreadsheet Files Filter has special configuration options that allow greater control over the conversion of spreadsheet files."},"89":{y:0,u:"../Content/DotNET/filter_api/Filter_Worksheet_Names.htm",l:-1,t:"Filter Worksheet Names",i:0.0037987961348436,a:"Filter  Worksheet Names Normally, Filter does not extract worksheet names from a spreadsheet because it is assumed the text should not be exposed. You can change this default behavior, and extract worksheet names by adding the following lines to the  formats.ini file: [Options]\ngetsheetnames=1"},"90":{y:0,u:"../Content/DotNET/filter_api/Filter_Hidden_Text_in_Mi.htm",l:-1,t:"Filter Hidden Text in Microsoft Excel Files",i:0.0037987961348436,a:"Filter  Hidden Text in Microsoft Excel Files Normally, Filter does not filter hidden text from a Microsoft Excel spreadsheet because it is assumed the text should not be exposed. You can change this default behavior, and extract text from hidden rows, columns, and sheets from Excel spreadsheets by ..."},"91":{y:0,u:"../Content/DotNET/filter_api/Specify_Date_and_Time_Fo.htm",l:-1,t:"Specify Date and Time Format on UNIX Systems",i:0.0037987961348436,a:"In Microsoft Excel you can choose to format dates and times according to the system locale.  On Windows, KeyView uses the system locale settings to determine how these dates and times should be formatted.  In other operating systems, KeyView uses the U.S. short date format (mm/dd/yyyy).  You can ..."},"92":{y:0,u:"../Content/DotNET/filter_api/large_numbers_excel.htm",l:-1,t:"Filter Very Large Numbers in Spreadsheet Cells to Precision Numbers",i:0.0037987961348436,a:"Numbers in Microsoft Excel files can now be extracted and written to the output without formatting. By default, numbers are extracted in the format specified by the Excel file (for example, General, Currency and Date). Spreadsheets might contain cells that have very large numbers in them. Excel ..."},"93":{y:0,u:"../Content/filter_shared/Extract_Excel_Formulas.htm",l:-1,t:"Extract Microsoft Excel Formulas",i:0.0037987961348436,a:"When you filter a Microsoft Excel spreadsheet, KeyView extracts the value of each cell. The value of a cell might be calculated from a formula, but the formula is not included in the output unless you configure KeyView to include it. You can extract the cell value, the formula, or both. For example, ..."},"94":{y:0,u:"../Content/Shared/_KV_Standardize_Cell_Formats.htm",l:-1,t:"Standardize Cell Formats",i:0.0037987961348436,a:"In Microsoft Excel you can format cell values. For example, the date \"15/09/2021\" could be formatted as \"15 September 2021\" or \"2021-09-15\". By default, KeyView extracts cell values with formatting, as they would appear in Excel. If you prefer, you can configure KeyView to standardize cell values. ..."},"95":{y:0,u:"../Content/DotNET/filter_api/Tab_Delimited_Cells.htm",l:-1,t:"Tab Delimited Empty Cells",i:0.0037987961348436,a:"By default, when filtering spreadsheet files, KeyView skips over empty cells. This behavior removes unnecessary tab characters from the output, but it also loses the table structure. If you require the table structure, you can configure KeyView to ensure that tabs exist between empty cells. To ..."},"96":{y:0,u:"../Content/DotNET/filter_api/Filter_HTML_Files.htm",l:-1,t:"Filter HTML Files",i:0.0037987961348436,a:"Filter  HTML Files KeyView can filter comments from HTML documents. To enable comment filtering, you must set a flag in the formats.ini file. The formats.ini file is in the  install\\OS\\bin directory, where  install is the Filter installation directory and  OS is the name of the operating system. To ..."},"97":{y:0,u:"../Content/DotNET/filter_api/Filter_XML_Files.htm",l:-1,t:"Filter XML Files",i:0.00477229698751365,a:"Filter  XML Files Filter SDK enables you to extract all or selected content from source XML files. You can specify the elements and attributes extracted from a document using the API or an INI file (see  Configure Element Extraction for XML Documents ). Filter detects the following XML formats: ..."},"98":{y:0,u:"../Content/DotNET/filter_api/Configure_Element_Extrac.htm",l:-1,t:"Configure Element Extraction for XML Documents",i:0.0101341542772695,a:"Configure  Element Extraction for XML Documents When filtering XML files, you can specify which elements and attributes are extracted according to the file\u0027s format ID or root element. This is useful when you want to extract only relevant text elements, such as abstracts from reports, or a list of ..."},"99":{y:0,u:"../Content/filter_shared/custom_headerfooter.htm",l:-1,t:"Configure Headers and Footers",i:0.0037987961348436,a:"You can configure custom header and footer tags for word processing and spreadsheet documents  by editing the formats.ini file. To configure headers and footers Open the formats.ini file. In the [Options] section, add the following items: ..."},"100":{y:0,u:"../Content/filter_shared/Tab_Delimited_Output.htm",l:-1,t:"Tab Delimited Output for Spreadsheets and Embedded Tables",i:0.0037987961348436,a:"You can use KeyView to convert spreadsheets, embedded tables in Word Processing documents (for example, Microsoft Word documents), and tables detected by Optical Character Recognition (OCR), to tab-delimited form. In this format, KeyView inserts a tab character between each cell, and a line break ..."},"101":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Exclude Japanese Guide Text",i:0.0037987961348436,a:"Exclude Japanese Guide Text This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In  formats.ini, set the following parameter.  [Options]\nNoPhoneticGuides=TRUE"},"102":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.0037987961348436,a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. When you do not enable source code identification, files containing source code may be identified as ASCII text files, causing the application to treat them in the ..."},"103":{y:0,u:"../Content/filter_shared/Optical_Character_Recognition.htm",l:-1,t:"Optical Character Recognition",i:0.0037987961348436,a:"When processing raster image files, KeyView can perform Optical Character Recognition (OCR) to attempt to filter text that might be visible in the image. If text is detected to form part of a table, it will be filtered in the same way as tables in Word Processing documents. KeyView performs OCR only ..."},"104":{y:0,u:"../Content/filter_shared/DocumentRestrictions.htm",l:-1,t:"Document Restrictions",i:0.0037987961348436,a:"Some applications, and corresponding file formats, allow users to restrict the ways in which a document can be used. For example, you might be able to read a document but additional credentials (such as a password) could be required to modify the document content, add comments, or print the ..."},"105":{y:0,u:"../Content/Chapter_Samples.htm",l:-1,t:"Sample Programs",i:0.00487513745790929,a:"Sample Programs This section describes the sample programs provided with Filter SDK."},"106":{y:0,u:"../Content/DotNET/samples/FilterTestDotNet.htm",l:-1,t:"FilterTestDotNet",i:0.0037987961348436,a:"The FilterTestDotNet sample program calls the following sample code: TestExtract —demonstrates the File Extraction interface TestFilter —demonstrates the Filtering methods The source code is in the directory dotnetapi\\sample. It also includes a C# Project file (FilterTestDotNet.csproj). Before the ..."},"107":{y:0,u:"../Content/DotNET/samples/TestExtract.htm",l:-1,t:"TestExtract",i:0.00983682377255635,a:"The TestExtract code demonstrates the File Extraction interface. The TestExtract sample code demonstrates the functionality of the Filtering interface. See  TestFilter . The TestExtract code demonstrates the following functionality: opens a document extracts subfiles from a document repeats subfile ..."},"108":{y:0,u:"../Content/DotNET/samples/TestFilter.htm",l:-1,t:"TestFilter",i:0.00916219974061878,a:"The TestFilter code demonstrates most of the Filtering methods available in the .NET API. The command-line options are listed in  Options for FilterTestDotNet -ft1 . To run TestFilter, type the following at the command line: FilterTestDotNet filtermode [options] input_file output_file where: ..."},"109":{y:0,u:"../Content/Part_Appendixes.htm",l:-1,t:"Appendixes",i:0.0037987961348436,a:"This section lists supported formats, supported character sets, and redistributed files, and provides information on format detection and developing a custom document reader. Supported Formats Document Readers Platform Differences Character Sets Extract and Format Lotus Notes Subfiles File Format ..."},"110":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected.htm",l:-1,t:"Supported Formats",i:0.00409234376840697,a:"Supported Formats This section lists the file formats that KeyView can detect."},"111":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.0037987961348436,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"112":{y:0,u:"../Content/kv_formats/_KV_FMT__AllDetected.htm",l:-1,t:"Supported Formats",i:0.0116067865687336,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"113":{y:0,u:"../Content/kv_formats/_KV_FMT_FileClasses.htm",l:-1,t:"File Classes",i:0.0037987961348436,a:"File Classes"},"114":{y:0,u:"../Content/kv_formats/_KV_FMT__SupportedFormats.htm",l:-1,t:"Document Readers",i:0.0128174706158196,a:"Document Readers This section lists the KeyView document readers that are available to filter, export, and view supported file formats."},"115":{y:0,u:"../Content/kv_formats/_KV_FMT__Key.htm",l:-1,t:"Key to Document Readers Table",i:0.0037987961348436,a:"The document readers table includes the following information. Key to Symbols Symbol Description Y The feature is supported. N The feature is not supported. T Only text is extracted from this format. Formatting information is not extracted.  M Only metadata (title, subject, author, and so on) is ..."},"116":{y:0,u:"../Content/kv_formats/_KV_FMT_Readers.htm",l:-1,t:"Document Readers",i:0.0104625735555466,a:"Document Readers"},"117":{y:0,u:"../Content/kv_platforms/_KV_Intro.htm",l:-1,t:"Platform Differences",i:0.00409234376840697,a:"Platform Differences Most KeyView features and document readers are available across all platforms. This section describes the supported platforms for certain features that are not available on every platform."},"118":{y:0,u:"../Content/kv_platforms/_KV_FeaturesByPlatform.htm",l:-1,t:"Feature Differences",i:0.00837776259953649,a:"Feature Differences"},"119":{y:0,u:"../Content/kv_platforms/_KV_ReadersByPlatform.htm",l:-1,t:"Reader Differences",i:0.00783959193800364,a:"Reader Differences This topic shows only those readers that are unavailable on at least one platform. For a complete list of a readers, see  Document Readers ."},"120":{y:0,u:"../Content/Shared/_KV_3P_Appendix.htm",l:-1,t:"Third-Party Library Upgrade",i:0.0037987961348436,a:"Third-Party Library Upgrade This section describes the KeyView upgrade policy for third-party libraries."},"121":{y:0,u:"../Content/Shared/_KV_3P_UpgradePolicy.htm",l:-1,t:"Third-Party Library Upgrade Policy",i:0.0037987961348436,a:"KeyView uses third-party libraries to provide important functionality. These libraries are regularly upgraded to ensure that KeyView includes any relevant security fixes according to the following policy: All third-party libraries that are required for all uses of KeyView, or that are used for ..."},"122":{y:0,u:"../Content/kv_charset/_KV_CHARSET_c_charset.htm",l:-1,t:"Character Sets",i:0.00409234376840697,a:"Character Sets This section provides information on the handling of character sets in the KeyView suite of products, which includes KeyView Filter SDK, KeyView Export SDK, and KeyView Viewing SDK. "},"123":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Multibyte_Bidirectional_Support.htm",l:-1,t:"Multibyte and Bidirectional Support",i:0.0037987961348436,a:"The KeyView SDKs can process files that contain  multibyte characters. A multibyte  character encoding represents a single character with consecutive bytes. KeyView can also process text from files that contain  bidirectional text. Bidirectional text contains both Latin-based text which is read from ..."},"124":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Coded_Character_Sets.htm",l:-1,t:"Coded Character Sets",i:0.00596678867143077,a:"Coded Character Sets This section lists which character set  you can use to specify the target character set.  The coded character sets are enumerated in kvcharset.h and defined in the  Filter  class."},"125":{y:0,u:"../Content/kv_XML_templates/_KV_XML_app_XMLtemplate.htm",l:-1,t:"Extract and Format Lotus Notes Subfiles",i:0.00732136773760406,a:"Extract and Format Lotus Notes Subfiles This section describes how to create XML templates to alter the appearance of extracted Lotus mail note subfiles so that they maintain the look and feel of the original notes."},"126":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Overview.htm",l:-1,t:"Overview",i:0.0037987961348436,a:"KeyView uses the NSF reader, nsfsr, to extract Lotus database files, and places Lotus mail notes in subfiles. The NSF reader uses a set of default XML templates to extract the notes and apply formatting, thereby approximating the look and feel of the original notes. In some cases, you might need to ..."},"127":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Customize_XML_Templates.htm",l:-1,t:"Customize XML Templates",i:0.0037987961348436,a:"XML templates are enabled by default. In most cases, the default templates should be sufficient; however, you can customize them or create your own as required. To customize XML templates for Lotus note extraction Modify the template files in the following directory. install\\OS\\bin\\NSFtemplates The ..."},"128":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Template_Elements_and_Attributes.htm",l:-1,t:"Template Elements and Attributes",i:0.0479669686193996,a:"This section lists the valid XML elements and attributes that you can use when creating or modifying templates. See the demo templates for examples. Conditional Elements The following table lists the valid conditional elements. Control Elements The following table lists the valid control elements. ..."},});